// +build !ignore_autogenerated

// Code generated by openapi-gen. DO NOT EDIT.

// This file was autogenerated by openapi-gen. Do not edit it manually!

package v1alpha1

import (
	spec "github.com/go-openapi/spec"
	common "k8s.io/kube-openapi/pkg/common"
)

func GetOpenAPIDefinitions(ref common.ReferenceCallback) map[string]common.OpenAPIDefinition {
	return map[string]common.OpenAPIDefinition{
		"github.com/garyellis/pegasus-operator/pkg/apis/pegasus/v1alpha1.TerraformModule":       schema_pkg_apis_pegasus_v1alpha1_TerraformModule(ref),
		"github.com/garyellis/pegasus-operator/pkg/apis/pegasus/v1alpha1.TerraformModuleSpec":   schema_pkg_apis_pegasus_v1alpha1_TerraformModuleSpec(ref),
		"github.com/garyellis/pegasus-operator/pkg/apis/pegasus/v1alpha1.TerraformModuleStatus": schema_pkg_apis_pegasus_v1alpha1_TerraformModuleStatus(ref),
	}
}

func schema_pkg_apis_pegasus_v1alpha1_TerraformModule(ref common.ReferenceCallback) common.OpenAPIDefinition {
	return common.OpenAPIDefinition{
		Schema: spec.Schema{
			SchemaProps: spec.SchemaProps{
				Description: "TerraformModule is the Schema for the terraformmodules API",
				Properties: map[string]spec.Schema{
					"kind": {
						SchemaProps: spec.SchemaProps{
							Description: "Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"apiVersion": {
						SchemaProps: spec.SchemaProps{
							Description: "APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"metadata": {
						SchemaProps: spec.SchemaProps{
							Ref: ref("k8s.io/apimachinery/pkg/apis/meta/v1.ObjectMeta"),
						},
					},
					"spec": {
						SchemaProps: spec.SchemaProps{
							Ref: ref("github.com/garyellis/pegasus-operator/pkg/apis/pegasus/v1alpha1.TerraformModuleSpec"),
						},
					},
					"status": {
						SchemaProps: spec.SchemaProps{
							Ref: ref("github.com/garyellis/pegasus-operator/pkg/apis/pegasus/v1alpha1.TerraformModuleStatus"),
						},
					},
				},
			},
		},
		Dependencies: []string{
			"github.com/garyellis/pegasus-operator/pkg/apis/pegasus/v1alpha1.TerraformModuleSpec", "github.com/garyellis/pegasus-operator/pkg/apis/pegasus/v1alpha1.TerraformModuleStatus", "k8s.io/apimachinery/pkg/apis/meta/v1.ObjectMeta"},
	}
}

func schema_pkg_apis_pegasus_v1alpha1_TerraformModuleSpec(ref common.ReferenceCallback) common.OpenAPIDefinition {
	return common.OpenAPIDefinition{
		Schema: spec.Schema{
			SchemaProps: spec.SchemaProps{
				Description: "TerraformModuleSpec defines the desired state of TerraformModule",
				Properties:  map[string]spec.Schema{},
			},
		},
		Dependencies: []string{},
	}
}

func schema_pkg_apis_pegasus_v1alpha1_TerraformModuleStatus(ref common.ReferenceCallback) common.OpenAPIDefinition {
	return common.OpenAPIDefinition{
		Schema: spec.Schema{
			SchemaProps: spec.SchemaProps{
				Description: "TerraformModuleStatus defines the observed state of TerraformModule",
				Properties:  map[string]spec.Schema{},
			},
		},
		Dependencies: []string{},
	}
}
